> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unbridaled.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Is In Stock

> Verify if a diamond sku is in stock



## OpenAPI

````yaml get /api/v2/diamonds/{sku}/is_in_stock
openapi: 3.1.0
info:
  title: Unbridaled Marketplace Merchant API
  description: Developer API to integrate with Unbridaled Marketplace
  version: 1.0.0
servers:
  - url: https://api-staging.unbridaled.ai
    description: Sandbox API
  - description: Production API
    url: https://api.unbridaled.ai
security:
  - apikeyAuth: []
tags:
  - name: Diamonds
  - name: Inventory
  - name: Orders
  - name: Merchant Templates
  - name: Profit Margins
  - name: Defaults
  - name: Merchant Addresses
paths:
  /api/v2/diamonds/{sku}/is_in_stock:
    parameters:
      - schema:
          type: string
        name: sku
        in: path
        required: true
        description: SKU to check if currently in stock.
    get:
      tags:
        - Inventory
      summary: Is In Stock
      description: Verify if a diamond sku is in stock
      parameters:
        - name: sku
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  available:
                    type: boolean
              example:
                available: true
              examples:
                IsSKUInStockResponse:
                  value:
                    available: true
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: bearer

````